<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>Pengkajian Awal Pasien IGD</h4>
        </div>
    </div>
    <div class="card-block">
        <form [formGroup]="myprofile" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-12 col-xl-12 form-group text-right">
                    <h5> RJ.07</h5>
                    <!--<button type="button" class="btn btn-primary btn-md waves-effect text-center m-b-20" [routerLink]="['/change-password']">
                        <i class="icofont icofont-ui-password"></i> {{ 'eim.profile.my_profile.btn_change_password' | translate }}</button>
                    -->
                    
                </div>
                <div class="col-md-12 col-xl-12 form-group text-left"
                ><h6> Tanggal & Jam : 06-08-2018/18:00:10</h6></div>
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">No.Registrasi</label>
                    <!--
                    <label class="col-form-label">{{'eim.profile.my_profile.partner_id' | translate}}</label>-->
                    <input type="text" class="form-control" readonly="true" id="ContactId" formControlName="ContactId">
                </div>
                <div class="col-md-12 col-xl-4 form-group">
                        <label class="col-form-label">No.Rekam Medis</label>
                        <!--
                        <label class="col-form-label">{{'eim.profile.my_profile.partner_id' | translate}}</label>-->
                        <input type="text" class="form-control" readonly="true" id="ContactId" formControlName="ContactId">
                    </div>
                    <div class="col-md-12 col-xl-4 form-group">
                            <label class="col-form-label">Poli</label>
                            <!--
                            <label class="col-form-label">{{'eim.profile.my_profile.partner_id' | translate}}</label>-->
                            <input type="text" class="form-control" readonly="true" id="ContactId" formControlName="ContactId">
                        </div>
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">Nama Pasien</label>
                    <!--<label class="col-form-label">{{'eim.profile.my_profile.first_name' | translate}}</label>
                    --><input type="text" class="form-control" id="FirstName" formControlName="FirstName" placeholder="Nama Lengkap Pasien">
                </div>
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">Jenis Kelamin</label><br>
                    <input type="radio" name="gender" value="male"> Laki-laki<br>
  <input type="radio" name="gender" value="female"> Perempuan<br>
                   <!-- <label class="col-form-label">{{'eim.profile.my_profile.last_name' | translate}}</label>
                   <input type="radio" class="form-control" id="LastName" formControlName="LastName" placeholder="{{'eim.profile.my_profile.last_name' | translate}}"> P
                   --></div>
                   <div class="col-md-12 col-xl-4 form-group">
                        <label class="col-form-label">Tanggal Lahir</label>
                        <!--<label class="col-form-label">{{'eim.profile.my_profile.first_name' | translate}}</label>
                        --><input type="text" class="form-control" id="FirstName" formControlName="FirstName" placeholder="Tanggal lahir pasien">
                    </div>
                    <div class="col-md-12 col-xl-4 form-group">
                            <label class="col-form-label">Umur</label>
                            <!--<label class="col-form-label">{{'eim.profile.my_profile.first_name' | translate}}</label>
                            --><input type="text" class="form-control" id="FirstName" formControlName="FirstName" placeholder="Umur pasien">
                        </div>
                        <div class="col-md-12 col-xl-4 form-group">
                                <label class="col-form-label">Triase</label><br>
                                <input type="radio" name="gender" value="male"> Merah<br>
              <input type="radio" name="gender" value="female"> Kuning<br>
              <input type="radio" name="gender" value="male"> Hijau<br>
              <input type="radio" name="gender" value="female"> Hitam<br>
                               <!-- <label class="col-form-label">{{'eim.profile.my_profile.last_name' | translate}}</label>
                               <input type="radio" class="form-control" id="LastName" formControlName="LastName" placeholder="{{'eim.profile.my_profile.last_name' | translate}}"> P
                               --></div>
                               <div class="col-md-12 col-xl-12 form-group text-left"
                               ><h5> A. Pengkajian Keperawatan</h5></div>
                               <div class="col-md-12 col-xl-4 form-group">
                                    <label class="col-form-label">Jalur Nafas</label>
                                    <!--<label class="col-form-label">{{'eim.profile.my_profile.first_name' | translate}}</label>
                                    --><input type="text" class="form-control" id="FirstName" formControlName="FirstName" placeholder="Jalan nafas pasien">
                                </div>
                                <div class="col-md-12 col-xl-4 form-group">
                                        <label class="col-form-label">Pernafasan</label>
                                        <!--<label class="col-form-label">{{'eim.profile.my_profile.first_name' | translate}}</label>
                                        --><input type="text" class="form-control" id="FirstName" formControlName="FirstName" placeholder="Pernafasan pasien">
                                    </div>
                                      <div class="col-md-12 col-xl-4 form-group">
                            <label class="col-form-label">Sirkulasi</label>
                            <!--<label class="col-form-label">{{'eim.profile.my_profile.first_name' | translate}}</label>
                            --><input type="text" class="form-control" id="FirstName" formControlName="FirstName" placeholder="Sirkulasi pasien">
                        </div>
                        <div class="col-md-12 col-xl-12 form-group">
                                <!--<label class="col-form-label">{{'eim.profile.my_profile.bio' | translate}}</label>

                                -->
                                <label class="col-form-label">Alasan Penggolongan Triase</label>
                                <textarea class="form-control" rows="6" id="Bio" formControlName="Bio"></textarea>
                            </div>
                <!--<div class="col-md-12 col-xl-2 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.honorific' | translate}}</label>
                    <select name="Salutation" id="Salutation" class="form-control" formControlName="Salutation">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of honorific" value="{{item.Key}}">{{item.KeyValue}}</option>
                    </select>
                </div>-->
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.primary_language' | translate}}</label>
                    <select name="PrimaryLanguage" id="PrimaryLanguage" class="form-control" formControlName="PrimaryLanguage">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of primarylanguage" value="{{item.Key}}">{{item.KeyValue}}</option>
                    </select>
                </div>
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.secondary_language' | translate}}</label>
                    <select name="SecondaryLanguage" id="SecondaryLanguage" class="form-control" formControlName="SecondaryLanguage">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of secondarylanguage" value="{{item.Key}}">{{item.KeyValue}}</option>
                    </select>
                </div>
                <div class="col-md-12 col-xl-2 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.gender' | translate}}</label>
                    <select name="Gender" id="Gender" class="form-control" formControlName="Gender">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of gender" value="{{item.Key}}">{{item.KeyValue}}</option>
                    </select>
                </div>

                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.country' | translate}}</label>
                    <select name="CountryCode" id="CountryCode" class="form-control" formControlName="CountryCode" (change)="getStateProvince($event.target.value)">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of country" value="{{item.countries_code}}">{{item.countries_name}}</option>
                    </select>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.state' | translate}}</label>
                    <select name="StateProvince" id="StateProvince" class="form-control" formControlName="StateProvince">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of stateprovince" value="{{item.StateCode}}">{{item.StateName}}</option>
                    </select>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.city' | translate}}</label>
                    <input type="text" class="form-control" id="City" formControlName="City" placeholder="{{'eim.profile.my_profile.city' | translate}}">
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.address' | translate}} 1</label>
                    <input type="text" class="form-control" id="Address1" formControlName="Address1" placeholder="{{'eim.profile.my_profile.address' | translate}} 1">
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.address' | translate}} 2</label>
                    <input type="text" class="form-control" id="Address2" formControlName="Address2" placeholder="{{'eim.profile.my_profile.address' | translate}} 2">
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.address' | translate}} 3</label>
                    <input type="text" class="form-control" id="Address3" formControlName="Address3" placeholder="{{'eim.profile.my_profile.address' | translate}} 3">
                </div>
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.postal_code' | translate}}</label>
                    <input type="text" class="form-control" id="PostalCode" formControlName="PostalCode" placeholder="{{'eim.profile.my_profile.postal_code' | translate}}">
                </div>
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.website' | translate}}</label>
                    <input type="text" class="form-control" id="WebsiteUrl" formControlName="WebsiteUrl" placeholder="{{'eim.profile.my_profile.website' | translate}}">
                </div>
                <div class="col-md-12 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.primary_industry' | translate}}</label>
                    <select name="PrimaryIndustryId" id="PrimaryIndustryId" class="form-control" formControlName="PrimaryIndustryId">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of primaryindustry" value="{{item.IndustryCode}}">{{item.Industry}}</option>
                    </select>
                </div>
                <div class="col-md-12 col-xl-12 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.bio' | translate}}</label>
                    <textarea class="form-control" rows="6" id="Bio" formControlName="Bio"></textarea>
                </div>
                <div class="col-md-6 col-xl-6 form-group">
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" value="" id="ShowInSearch" formControlName="ShowInSearch">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                            <span class="text-inverse">{{'eim.profile.my_profile.allow_other_to_see' | translate}}</span>
                        </label>
                    </div>
                </div>
                <div class="col-md-6 col-xl-6 form-group"></div>
                <div class="col-md-4 col-xl-4 form-group pull-left">
                    <label class="col-form-label">{{'general.email_address' | translate}}</label>
                    <div class="form-inline" *ngIf="data!=null">
                        <label type="text" class="col-form-label col-md-9">{{data.EmailAddress}}</label>
                        <button type="button" class="btn btn-primary btn-outline-primary text-center col-md-3" (click)="changeEmail()">
                            <i class="icofont icofont-ui-edit"></i>
                        </button>
                    </div>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.phone_number' | translate}}</label>
                    <div class="form-inline">
                        <select name="select" class="form-control col-md-3" id="TelephoneCode" formControlName="TelephoneCode">
                            <option *ngFor="let item of country" value="{{item.countries_tel}}">+{{item.countries_tel}}</option>
                        </select>
                        <input type="text" class="form-control col-md-7 ml-3" id="Telephone1" formControlName="Telephone1" placeholder="{{'eim.profile.my_profile.phone_number' | translate}}">
                    </div>
                </div>
                <div class="col-sm-4 col-sm-4 form-group">
                    <label class="col-form-label">{{'eim.profile.my_profile.mobile_number' | translate}}</label>
                    <div class="form-inline">
                        <select name="select" class="form-control col-md-3" id="MobileCode" formControlName="MobileCode">
                            <option *ngFor="let item of country" value="{{item.countries_tel}}">+{{item.countries_tel}}</option>
                        </select>
                        <input type="text" class="form-control col-md-7 ml-3" id="Mobile1" formControlName="Mobile1" placeholder="{{'eim.profile.my_profile.mobile_number' | translate}}">
                    </div>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" value="" id="DoNotEmail" formControlName="DoNotEmail">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                            <span class="text-inverse">{{'eim.profile.my_profile.do_not_send_email' | translate}}</span>
                        </label>
                    </div>
                    <br/>
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" value="" id="ShareEmail" formControlName="ShareEmail">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                            <span class="text-inverse">{{'eim.profile.my_profile.share_my_email' | translate}}</span>
                        </label>
                    </div>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" value="" id="ShareTelephone" formControlName="ShareTelephone">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                            <span class="text-inverse">{{'eim.profile.my_profile.share_my_phone' | translate}}</span>
                        </label>
                    </div>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" value="" id="ShareMobile" formControlName="ShareMobile">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                            <span class="text-inverse">{{'eim.profile.my_profile.share_my_mobile_number' | translate}}</span>
                        </label>
                    </div>
                </div>
                <br/>
                <br/>
                <br/>
                <br/>
                <br/>
                <div class="col-lg-12 col-xl-12 form-group">
                    <h5>Permissions & Roles</h5>
                    <hr/>
                </div>
                <div class="col-md-12 col-xl-12 form-group">
                    <label class="col-form-label">Services Role</label>
                </div>
                <div class="col-md-12 col-xl-12 form-group" *ngIf="data!=null">
                    <label class="col-form-label">
                        <code>></code>{{data.UserLevelId}}</label>
                </div>
                <div class="col-md-9 col-xl-9 form-group text-right">
                </div>
                <div class="col-md-3 col-xl-3 form-group text-right" style="margin-top: 20px">
                    <button type="submit" class="btn btn-success btn-md btn-block waves-effect text-center m-b-20">
                        <i class="icofont icofont-save"></i> {{ 'general.btn_save_change' | translate }}
                    </button>
                    <span class="messages text-success" *ngIf="success">* Profile is updated succesfully</span>
                </div>
            </div>

        </form>
    </div>
</div>

<!-- modal form validation change password -->
<app-modal-basic #changepassword [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">{{ 'eim.modal_change_pass.change_pass' | translate }}</h4>
        <button type="button" class="close basic-close" (click)="changepassword.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <!-- <form [formGroup]="changepasswordform" (ngSubmit)="onSubmitChangePass()">
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <label class="col-form-label">{{ 'eim.modal_change_pass.current_pas' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="currentpassword"  placeholder="{{ 'eim.modal_change_pass.current_pas' | translate }}" formControlName="currentpassword">
                    </div>
                    <div class="messages text-danger error" *ngIf="changepasswordform.controls.currentpassword.errors?.required">{{ 'eim.modal_change_pass.valid_1' | translate }}</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <label class="col-form-label">{{ 'eim.modal_change_pass.new_pass' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="password"  placeholder="{{ 'eim.modal_change_pass.new_pass' | translate }}" formControlName="password">
                    </div>
                    <div class="messages text-danger error" *ngIf="changepasswordform.controls.password.errors?.required">{{ 'eim.modal_change_pass.valid_2' | translate }}</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <label class="col-form-label">{{ 'eim.modal_change_pass.repeat_pass' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="rpassword" placeholder="{{ 'eim.modal_change_pass.repeat_pass' | translate }}" formControlName="rpassword">
                    </div>
                    <div class="messages text-danger" *ngIf="changepasswordform.controls.rpassword.errors?.required">{{ 'eim.modal_change_pass.valid_3' | translate }}</div>
                    <div class="messages text-danger" *ngIf="changepasswordform.controls.rpassword.errors?.equalTo">{{ 'eim.modal_change_pass.not_match' | translate }}</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <button type="submit" class="btn btn-success waves-effect waves-light " [disabled]="!changepasswordform.valid" (click)="openSuccessSwalChangePass()" (click)="changepassword.hide()"><i class="icofont icofont-save"></i> {{ 'general.btn_save_change' | translate }}</button>
                    <button type="button" class="btn btn-danger waves-effect" (click)="changepassword.hide()"><i class="icofont icofont-ui-close"></i> {{ 'general.btn_close' | translate }}</button>
                </div>
            </div>        
        </form> -->
    </div>
</app-modal-basic>
<!-- end modal validation form change password -->

<!-- modal form validation change email -->
<app-modal-basic #changeemail [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">{{ 'eim.modal_change_email.change_email' | translate }}</h4>
        <button type="button" class="close basic-close" (click)="changeemail.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <!-- <form [formGroup]="changeemailform" (ngSubmit)="onSubmitChangeEmail()">
            <div class="form-group row">
                <div class="col-sm-12">
                    <label class="col-form-label">{{ 'eim.modal_change_email.pass_emai' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="emailpassword"  placeholder="Password" formControlName="emailpassword">
                    </div>
                    <div class="messages text-danger error" *ngIf="changeemailform.controls.emailpassword.errors?.required">{{ 'eim.modal_change_email.valid_1' | translate }}</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12">
                    <label class="col-form-label">{{ 'eim.modal_change_email.new_email' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-email"></i></span>
                        <input type="email" class="form-control" id="email" placeholder="name@email.com" formControlName="email">
                    </div>
                    <div class="messages text-danger error" *ngIf="changeemailform.controls.email.errors?.required">{{ 'eim.modal_change_email.valid_2' | translate }}</div>
                    <div class="messages text-danger error" *ngIf="changeemailform.controls.email.errors?.email">{{ 'eim.modal_change_email.valid_3' | translate }}</div>
                </div>
            </div>
            <div class="form-group row ">
                <div class="col-sm-12 text-right">
                    <button type="submit" class="btn btn-success waves-effect" [disabled]="!changeemailform.valid" (click)="openSuccessSwalChangeEmail()" (click)="changeemail.hide()"><i class="icofont icofont-save"></i> {{ 'general.btn_save_change' | translate }}</button>
                    <button type="button" class="btn btn-danger waves-effect" (click)="changeemail.hide()"><i class="icofont icofont-ui-close"></i> {{ 'general.btn_close' | translate }}</button>
                </div>
            </div>
        </form> -->
    </div>
</app-modal-basic>
<!-- end modal validation form change email -->